Subject: bug#58376: [PATCH] Set the PARENTS argument for language environments

From: समीर सिंह Sameer Singh <[email-masked]>
Date: Mon, 10 Oct 2022 20:08:42 +0530

This one says: "error: corrupt patch at line 8"

The previous one said:
error: patch failed: lisp/international/mule-cmds.el:1208
error: lisp/international/mule-cmds.el: patch does not apply

On Mon, Oct 10, 2022 at 8:03 PM Visuwesh <[email-masked]> wrote:

> [திங்கள் அக்டோபர் 10, 2022] समीर सिंह Sameer Singh wrote:
>
> > On Sun, Oct 9, 2022 at 9:00 PM Visuwesh <[email-masked]> wrote:
> >
> >  [ஞாயிறு அக்டோபர் 09, 2022] Visuwesh wrote:
> >
> >  >> Attached patch puts the "Kharosthi" item in both Indian and Misc
> >  >> submenus without overwriting.
> >  >>
> >  >>
> >  >>
> >  >> The problem is that when looping, the variables setup-map and
> >  >> describe-map gets outdated and causes the overwrite.  The solution I
> >  >> came up with was to update them both to their default after each
> >  >> iteration.  This involved moving the keymap-setting forms to a
> >  >> separate
> >  >> function.
> >  >
> >  > Hmm, I seethat the function can be cleaned up further.  I will do it
> >  > after my dinner.
> >
> >  Please find attached.
> >
> >
> > Can you resend the patch?
> > This one fails to apply.
>
> Hmm weird, the patch applies cleanly for me if I download a fresh copy of
> mule-cmds.el from
> https://git.savannah.gnu.org/cgit/emacs.git/plain/lisp/international/mule-cmds.el
> .
> How about the attached?
>
>